Create a directory
POST
https://api.vercel.com/v2/sandboxes/sessions/{sessionId}/fs/mkdirCreates a new directory in a session's filesystem. By default, parent directories are created recursively if they don't exist (similar to
mkdir -p).https://api.vercel.com/v2/sandboxes/sessions/{sessionId}/fs/mkdir
const response = await fetch('https://api.vercel.com/v2/sandboxes/sessions/sessionId/fs/mkdir?teamId=string&slug=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "cwd": "/home/vercel-sandbox", "path": "src/components", "recursive": "true" }),});
const data = await response.json();console.log(data);Response
"value"AuthorizationbearerToken
Default authentication mechanism
application/json
The base directory for resolving relative paths. If not specified, paths are resolved from the sandbox home directory.
The path of the directory to create. Can be absolute or relative to the working directory.
200The directory was created successfully.
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
422Error
429Error
500Error